﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@

@{
    Layout = "~/Views/Shared/_faasoftwarelayout.cshtml";

}

<!-- Header -->
<div class="d-flex btn-grps col 12">

    <ul class="nav nav-tabs d-flex col 12" id="myTab" role="tablist">

        <li class="nav-item col 1" role="presentation">
            <button class="nav-link active" id="home-tab" data-bs-toggle="tab" data-bs-target="#home" type="button"
                    role="tab" aria-controls="home" aria-selected="true">
                <img src="~/img/Group6.png" /> Test Programming
            </button>
        </li>
        <li class="nav-item" role="presentation">
            <button class="nav-link" id="OperatorDirectory-tab" data-bs-toggle="tab" data-bs-target="#OperatorDirectory" type="button"
                    role="tab" aria-controls="OperatorDirectory" aria-selected="false">
                <img src="~/img/Group6.png" /> Profile
            </button>
        </li>
        <li class="nav-item col 2" role="presentation">
            <button class="nav-link" id="DataDirectory-tab" data-bs-toggle="tab" data-bs-target="#DataDirectory" type="button"
                    role="tab" aria-controls="DataDirectory" aria-selected="false">
                <img src="~/img/Group6.png" /> Test Sequence
            </button>
        </li>
        <li class="nav-item col 2" role="presentation">
            <button class="nav-link" id="ParameterSetting-tab" data-bs-toggle="tab" data-bs-target="#ParameterSetting" type="button"
                    role="tab" aria-controls="ParameterSetting" aria-selected="false">
                <img src="~/img/Group6.png" /> Calculated Test
            </button>
        </li>
        <li class="nav-item col 2" role="presentation">
            <button class="nav-link" id="ParameterSetting-tab" data-bs-toggle="tab" data-bs-target="#ParameterSetting" type="button"
                    role="tab" aria-controls="ParameterSetting" aria-selected="false">
                <img src="~/img/Group6.png" /> External Parameter
            </button>
        </li>
        <li class="nav-item col 2" role="presentation">
            <button class="nav-link" id="ParameterSetting-tab" data-bs-toggle="tab" data-bs-target="#ParameterSetting" type="button"
                    role="tab" aria-controls="ParameterSetting" aria-selected="false">
                <img src="~/img/Group6.png" /> Reflex Test
            </button>
        </li>
    </ul>

</div>
<!-- Header Ends -->

<br />


<section class="section" style="padding-top:10px;">
    <div class="pagetitle mb-3">
        <h1>Test Programming</h1>
     </div>
     <br />
    <div class="col-lg-12 row">
        <!-- Left side table start ....div code removed and hidden -->

 

        <!-- Middle Section starts -->

        <div class="col-lg-12 row">
            <div class="row">
                <!--
                <div class="form-floating mb-2 col-lg-6">

                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingFullName" aria-label="Floating label select example">
                        <label for="floatingFullName">Full Name</label>
                    </div>

                </div>
                -->
                <!--
                <div class="form-floating mb-2 col-lg-3">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="inputtxtTestCode" aria-label="Floating label select example">
                        <label for="inputtxtTestCode">Test Code</label>
                    </div>
                </div>
                -->
                <div class="col-lg-3">
                    <div class="form-floating">
                        <select class="form-select" id="inputtxtTestCode" aria-label="Floating label select example">
                            <option selected></option>
                            <option value="1">CKMB</option>
                            <option value="2">CKMB</option>
                            <option value="3">CKMB</option>
                        </select>
                        <label for="inputtxtTestCode">Test Code</label>
                       </div>
                  </div>

                <div class="form-floating mb-2 col-lg-3">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="inputtxtTest" aria-label="Floating label select example">
                        <label for="inputtxtTest">Test Name</label>
                    </div>
                </div>

                <div class="form-floating mb-2 col-lg-3">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="inputtxtTest" aria-label="Floating label select example">
                        <label for="inputtxtTest">Test</label>
                    </div>
                </div>
                


                <!-- Middle section ends-->
            </div>

            <div class="col-lg-12 mb-3" style="border:Solid;border-color:white"></div>
            <div class="row" style="padding-bottom:20px;">
                
                <!-- ------------------>

                <div class="d-flex btn-grps col 12">

                    <ul class="nav nav-tabs d-flex col 12" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <button class="nav-link active" id="pills-home-tab" data-bs-toggle="tab" data-bs-target="#pills-home" type="button"
                                    role="tab" aria-controls="pills-home" aria-selected="true">Basic Programming
                            </button>
                        </li>
                        <li class="nav-item" role="presentation">
                            <button class="nav-link" id="pills-profile-tab" data-bs-toggle="tab" data-bs-target="#pills-profile" type="button"
                                    role="tab" aria-controls="lls-profile" aria-selected="false">Reference
                            </button>
                        </li>
                        <li class="nav-item col 2" role="presentation">
                            <button class="nav-link" id="ills-contact-tab" data-bs-toggle="tab" data-bs-target="#pills-contact" type="button"
                                    role="tab" aria-controls="pills-contact" aria-selected="false">Calibration
                            </button>
                        </li>                        
                    </ul>

                </div>
                <!-- --------------- -->
              
            </div>

            <div class="tab-content pt-2" id="myTabContent">

            <!--  First table starts here -->
            <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="home-tab">

                    <div>                        
                        <div class="col-lg-12 row mb-3">

                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="ddlMethod" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1">Kinetic</option>                                        
                                    </select>
                                    <label for="floatingSelectP">Method</label>
                                </div>
                            </div>

                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectP" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1">510</option>                                       
                                    </select>
                                    <label for="floatingSelectP">Primary Filter</label>
                                </div>
                            </div>

                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectS" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1">620</option>                                        
                                    </select>
                                    <label for="floatingSelectS">Secondary Filter</label>
                                </div>
                            </div>

                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectD" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1">2</option>                                        
                                    </select>
                                    <label for="floatingSelectD">Decimal</label>
                                </div>
                            </div>
                        </div>

                            <!--
                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select mb-3" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1">1</option>
                                        <option value="2">12</option>
                                        <option value="3">24</option>
                                    </select>
                                    <label for="floatingSelect">Curve Type</label>
                                </div>
                            </div>
                            -->
                           
                        <div class="col-lg-12 row mb-3">

                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectU" aria-label="Floating label select example">
                                        <option selected></option>                                        
                                    </select>
                                    <label for="floatingSelectU">Result Unit</label>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                    <div class="form-floating">
                                        <select class="form-select" id="floatingSelectDir" aria-label="Floating label select example">
                                            <option selected></option>
                                            <option value="1">0</option>
                                            <option value="2">1</option>
                                        </select>
                                        <label for="floatingSelectDir">Direction</label>
                                    </div>
                                </div>
                          <!--
                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <input type="text" class="form-control" id="floatingEqM" aria-label="Floating label select example">
                                    <label for="floatingEqM">Equation Slop M</label>
                                </div>
                            </div>

                            <div class="col-lg-3">
                            <div class="form-floating">
                                <input type="text" class="form-control" id="floatingEqC" aria-label="Floating label select example">
                                <label for="floatingEqC">Equation Constant C</label>
                            </div>
                        </div>
                         -->
                        </div>
                        <div class="col-lg-12 row mb-3">
                            <div class="col-lg-2">
                                &nbsp; Co-relation:
                            </div>
                            <div class="col-lg-1" style="text-align:right"> Y = </div>
                            <div class="col-lg-3">
                               <input type="text" class="form-control" id="floatingEqM" aria-label="Floating label select example">
                            </div>
                            <div class="col-lg-1" style="text-align:right"> X + </div>
                            <div class="col-lg-3">
                                <input type="text" class="form-control" id="floatingEqM" aria-label="Floating label select example">
                            </div>
                        </div>
                        
                        <div class="col-lg-12 mb-3" style="border:Solid;border-color:white"></div>
                        <div class="col-lg-12 row mb-3">
                        
                            <div class="col-lg-3">
                                <!--<div class="form-floating">
                                    <input type="text" class="form-control" id="floatingsvolume" aria-label="Floating label select example">
                                    <label for="floatingSVolume">Sample Volume</label>                                
                                </div>
                                -->
                                <div class="input-group form-floating">
                                    <input type="text" class="form-control" id="floatingsvolume" aria-label="Floating label select example">
                                  <span class="input-group-text">&micro;l</span>
                                    <label for="floatingSVolume">Sample Volume</label>
                                </div>

                           </div>
                                </div>
                            <div class="col-lg-3">
                                <div class="input-group form-floating">
                                    <input type="text" class="form-control" id="floatingR1Volume" aria-label="Floating label select example">
                                  <span class="input-group-text">&micro;l</span>
                                    <label for="floatingR1Volume">R1 volume</label>
                                </div>                               
                            </div>

                            <div class="col-lg-3">
                                <div class="input-group form-floating">
                                    <input type="text" class="form-control" id="floatingR2Volume" aria-label="Floating label select example">
                                    <span class="input-group-text">&micro;l</span>
                                    <label for="floatingR2Volume">R2 volume</label>
                                </div>
                            </div>
                                                     

                            <div class="col-lg-3">
                                <div class="form-floating">
                    <div class="col-lg-12 row mb-3">
                    
                        <div class="col-lg-3">
                            <div class="input-group form-floating">
                                <select class="form-select" id="floatingSelectR1Stirrev" aria-label="Floating label select example">
                                    <option selected></option>
                                    <option value="1"></option>
                                    <option value="2">90</option>
                                </select>
                                <span class="input-group-text">sec</span>
                                <label for="floatingSelectR1Stirrev">R1 Incubation Time</label>
                                
                            </div>
                        </div>

                        <div class="col-lg-3">
                            <div class="input-group form-floating">
                                <input type="text" class="form-control" id="floatingIncubR1" readonly="readonly" aria-label="Floating label select example">
                                <span class="input-group-text">cycle</span>
                            </div>
                        </div>

                        <div class="col-lg-3">

                            <div class="input-group form-floating">
                                <select class="form-select" id="floatingSelectR2Stirrev" aria-label="Floating label select example">
                                    <option selected></option>
                                    <option value="1">80</option>
                                    <option value="2">120</option>                                    
                                </select>
                                <span class="input-group-text">sec</span>
                                <label for="floatingSelectR2Stirrev">R2 Incubation Time</label>
                                
                            </div>                          
                            <div class="col-lg-3">
                                <div class="form-floating">
                        </div>
                        <div class="col-lg-3" >
                                    <label for="floatingSelectVl">Volume</label>
                            <div class="input-group form-floating">
                                  <input type="text" class="form-control" id="floatingIncubR2" readonly="readonly" aria-label="Floating label select example">
                                <span class="input-group-text">cycle</span>
                            </div>
                        </div>
                    </div>
                                    <label for="floatingY">Y=</label>
                        <div class="col-lg-12 row mb-3">
                            

                                <div class="col-lg-3">
                                    <div class="form-floating">
                                        <select class="form-select" id="floatingSelectR2Stirrev" aria-label="Floating label select example">
                                            <option selected></option>
                                            <option value="1"></option>
                                            <option value="2"></option>
                                            <option value="3"></option>
                                            <option value="4"></option>
                                        </select>
                                <label for="floatingSelectR2Stirrev">R1 Stirrev Speed</label>
                                    </div>
                                </div>

                                <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectR2Stirrev" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1"></option>
                                    </select>
                                    <label for="floatingSelectBlank">R2 Stirrev Speed</label>
                                </div>
                            </div>
                             
                            <div class="col-lg-3">                                
                                <div class="input-group form-floating">
                                    <input type="text" class="form-control" id="floatingreadTm" aria-label="Floating label select example">
                                    <label for="floatingreadTm">Read Time</label>
                                    <span class="input-group-text">sec</span>
                                </div>
                            </div>
                                    <input type="text" class="form-control" id="floatingreadtime" aria-label="Floating label select example">
                        </div>
                                    <select class="form-select" id="floatingSelect" aria-label="Floating label select example">
                        
                        
                        <div class="col-lg-12 mb-3" style="border:Solid;border-color:white"></div>

                        <div class="col-lg-12 row mb-3">
                             
                            <div class="col-lg-3">
                                <div class="form-floating">
                                <select class="form-select" id="floatingSelectDepl" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value=""></option>
                                    </select>
                                <label for="floatingSelectDepl">Substrate Depletion Limit</label>
                                </div>
                            </div>

                            <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectLin" aria-label="Floating label select example">
                                            <option selected></option>
                                            <option value=""></option>
                                        </select>
                                    <label for="floatingSelectLin">Linearity</label>
                                </div>                                    
                            </div>


                        <div class="col-lg-3">
                            <div class="form-check" style="padding-top:13px">
                                <input class="form-check-input" type="checkbox" id="CheckdeAD">
                                <label class="form-check-label" for="CheckdeAD">
                                    Auto Dilute
                                </label>
                            </div>
                        </div>
                            
                    </div>
                           
                    <div class="col-lg-12 row mb-3">
                        
                        <div class="col-lg-3">
                                <div class="form-floating">
                                    <select class="form-select" id="floatingSelectBlank" aria-label="Floating label select example">
                                        <option selected></option>
                                        <option value="1"></option>
                                    </select>
                                    <label for="floatingSelectBlank">Blank Value</label>
                                </div>
                            </div>

                        <div class="col-lg-3">
                            <div class="form-floating">
                                <select class="form-select" id="floatingSelectBL" aria-floatingSelectRate="Floating label select example">
                                    <option selected></option>
                                    <option value="1"></option>
                                </select>
                                <label for="floatingSelectBL">Blank Low</label>
                            </div>
                        </div>

                        <div class="col-lg-3">
                        <div class="form-floating">
                            <select class="form-select" id="floatingSelectBH" aria-floatingSelectRate="Floating label select example">
                                <option selected></option>
                                <option value="1"></option>
                            </select>
                                <label for="floatingSelectBH">Blank High</label>
                        </div>
                        </div>
                        
                        


                    <div class="col-lg-3">
                        <div class="form-floating">
                            <select class="form-select" id="floatingSelectDRate" aria-floatingSelectRate="Floating label select example">
                                <option selected></option>
                                <option value="1"></option>
                            </select>
                            <label for="floatingSelectDRate">Dilution Ratio</label>
                        </div>

                        <div class="col-lg-12 row">

                   </div>
                                <label class="form-label"><b>Reagent Information</b></label>
                    <div class="col-lg-12 mb-3" style="border:Solid;border-color:white"></div>
                        </div>
                    <div class="col-lg-12  mb-3" style="text-align:right">
                        <button type="button" class="btn colorCode" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Add New Parameter"><b><i class="bi bi-plus"></i></b> Add</button>
                            &nbsp;&nbsp;
                        <button type="button" class="btn colorCode" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Delete Parameter"><b><i class="bi bi-trash"></i></b> Delete</button>
                            &nbsp;&nbsp;
                        <button type="button" class="btn colorCode" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Save Parameter"><b><i class="bi bi-save"></i></b> Save</button>
                        &nbsp;&nbsp;
                        <button type="button" class="btn colorCode" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Print"> <b><i class="bi bi-printer"></i></b> Print</button>
                            &nbsp;&nbsp;
                        <button type="button" class="btn colorCode" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Reagent Check"><b><i class="bi bi-bag-check"></i></b> Reagent Check</button>
                        </div>
                                <div class="form-floating">
                                    <input type="date" class="form-control" id="floatingExpdt" aria-label="Floating label select example">
                    
                    <!------------------- first tab ends here --------------------->

                </div>

                <!------------------- second tab STARTS here --------------------->
                                    <label for="floatingVdays">Validity Days</label>
                                </div>
                    <div class="col-lg-12 row" style="padding-bottom:10px;text-align:right;">
                        <div class="col-lg-12">
                            <!-- Basic Modal -->
                        <button type="button" class="btn colorCode" data-bs-toggle="modal" data-bs-target="#modelReferenceRange">
                                <b><i class="bi bi-plus"></i></b>
                            </button>
                        </div>
                    </div>

                        <div class="col-lg-12  mb-3" style="text-align:right">
                            <button type="button" class="btn btn-primary"><b><i class="bi bi-plus"></i></b> Add</button>
                            &nbsp;&nbsp;
                            <button type="button" class="btn btn-primary"><b><i class="bi bi-trash"></i></b> Delete</button>
                            &nbsp;&nbsp;
                            <button type="button" class="btn btn-primary"><b><i class="bi bi-save"></i></b> Save</button>
                            &nbsp;&nbsp;
                            <button type="button" class="btn btn-primary"><b><i class="bi bi-printer"></i></b> Print View</button>
                            &nbsp;&nbsp;
                            <button type="button" class="btn btn-primary"> <b><i class="bi bi-printer"></i></b> Print</button>
                            &nbsp;&nbsp;
                            <button type="button" class="btn btn-primary"><b><i class="bi bi-bag-check"></i></b> Reagent Check</button>
                        </div>


                    </div>
                    <!------------------- first tab ends here --------------------->

                </div>

                <!------------------- second tab STARTS here --------------------->
                <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="profile-tab">

                    <div class="col-lg-12 row" style="padding-bottom:10px;text-align:right;">
                        <div class="col-lg-12">
                            <!-- Basic Modal -->
                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelReferenceRange">
                                <b><i class="bi bi-plus"></i></b>
                            </button>
                        </div>
                    </div>
                    <div class="modal fade" id="modelReferenceRange" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content" style="width:125%">
                                <div class="modal-header">
                                    <h5 class="modal-title">Refrence Range</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearReferenceRange()"></button>
                                </div>
                                <div class="modal-body">
                                    <div class="col-lg-12 row" style="width:100%">
                                        <input type="hidden" id="hdRefRange_Id" />
                                        <div class="row" style="padding-bottom:5px;padding-top:5px;">
                                            <div class="col-lg-6">
                                                <div class="form-floating mb-3">
                                                    <select class="form-select" id="ddlGender" aria-label="Floating label select example">
                                                        <option selected></option>
                                                        <option value="1">Male</option>
                                                        <option value="2">Female</option>
                                                    </select>
                                                    <label for="floatingGender">Gender</label>
                                                </div>
                                            </div>

                                            <div class="col-lg-6 mb-3">
                                                <div class="form-floating mb-3">
                                                    <select class="form-select" id="ddlSampleType" aria-label="Floating label select example">
                                                   
                                                    </select>
                                                    <label for="floatingSampleTp">Sample Type</label>
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="form-floating mb-3">
                                                    <input type="text" id="txtMinAge" class="form-control" aria-label="Floating label select example">
                                                    <label for="floatingAgemin">Min Age</label>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="form-floating mb-3">
                                                    <input type="text" id="txtMaxAge" class="form-control" aria-label="Floating label select example">
                                                    <label for="floatingAgemax">Max Age</label>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="form-floating mb-3">
                                                    <select class="form-select" id="ddlAgeUnit" aria-label="Floating label select example">
                                                        <option selected></option>
                                                        <option value="1">Year</option>
                                                        <option value="2">Month</option>
                                                        <option value="1">Day</option>
                                                        <option value="2">Hours</option>
                                                    </select>
                                                    <label for="floatingUnit">Unit</label>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-floating mb-3">
                                                    <input type="text" id="txtLower" class="form-control" aria-label="Floating label select example">
                                                    <label for="floatingLower">Lower</label>
                                                </div>
                                            </div>

                                            <div class="col-lg-6">
                                                <div class="form-floating mb-3">
                                                    <input type="text" id="txtHigh" class="form-control" aria-label="Floating label select example">
                                                    <label for="floatingHigh">High</label>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearReferenceRange()">Close</button>
                                <button type="button" class="btn colorCode" id="btnRefRange" onclick="SaveReferenceRange();">Save</button>
                                </div>
                            </div>
                        </div>
                    </div><!-- End Basic Modal-->


                    <div class="card">
                    <div class="card-header">
                        <div class="row col-lg-12">
                            <div class="col-sm-9">
                                <h5 class="card-title">
                                    Reference Range
                                </h5>
                            </div>
                            <div class="col-sm-3 mb-3 card-title" style="text-align:right;">
                                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelReferenceRange">
                                    <b><i class="bi bi-plus"></i></b>
                                </button>
                            </div>
                        </div>
                        </div>
                        <div class="card-body">
                      
                            <!-- Table with stripped rows -->
                        <table id="tblTestReferenceRange" class="table table-bordered table-striped" style="width:100%;">
                         
                            </table>
                            <!-- End Table with stripped rows -->

                        </div>
                    </div>

                    <div class="col-lg-12 row mb-3">
                        <div class="col-lg-12" style="text-align:right">
                        <!--<button type="button" class="btn colorCode">
                                <b><i class="bi bi-printer"></i></b> Print Preview
                            </button>
                            &nbsp;&nbsp;-->
                        <button type="button" class="btn colorCode">
                                <b><i class="bi bi-printer"></i></b>Print
                            </button>
                            &nbsp;&nbsp;
                        <button type="button" class="btn colorCode">
                                <b><i class="bi bi-cloud-upload-fill"></i></b> Import
                            </button>
                            &nbsp;&nbsp;
                        <button type="button" class="btn colorCode">
                                <b><i class="bi bi-cloud-download-fill"></i></b> Export
                            </button>
                        </div>

                    </div>

                </div>

                <!------------------- second tab ENDS here --------------------->

                <div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="contact-tab">
                    3rd Tab
                </div>
            </div>
        </div>
 
</section>

<div class="col-lg-3" style="visibility:collapse;">
    <div class="tab-content" id="v-pills-tabContent">
        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
            <table class="table datatable">
                <thead>
                    <tr>
                        <th scope="col">Tests</th>
                        <th scope="col">Test Code</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td scope="row">DIV340</td>
                        <td scope="row">1</td>
                    </tr>
                    
                </tbody>

            </table>
        </div>
    </div>
</div>

<!-- Left side table ends-->
<script src="https://code.jquery.com/jquery-3.7.0.js"></script>

<!-- Delete Confirmation model-->

<div class="modal" id="modelDeleteConfirmationReferenceRange" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteReferenceRangeId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteReferenceRange()">Yes</button>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.7.0.js"></script>


<script src="~/js/app/testparameter.js"></script>